# osgDB::RegisterDotOsgWrapperProxy Class Reference

Proxy class for automatic registration of DotOsgWrappers with the Registry. More...

List of all members.

## Public Member Functions

| RegisterDotOsgWrapperProxy (osg::Object *proto, const std::string &name, const std::string &associates, DotOsgWrapper::ReadFunc readFunc, DotOsgWrapper::WriteFunc writeFunc, DotOsgWrapper::ReadWriteMode readWriteMode=DotOsgWrapper::READ_AND_WRITE)
| ~RegisterDotOsgWrapperProxy ()

## Protected Attributes

osg::ref_ptr< DotOsgWrapper > | _wrapper

## Detailed Description

Proxy class for automatic registration of DotOsgWrappers with the Registry.

## Constructor & Destructor Documentation

osgDB::RegisterDotOsgWrapperProxy::RegisterDotOsgWrapperProxy | ( | osg::Object * | proto,
|  | const std::string & | name,
|  | const std::string & | associates,
|  | DotOsgWrapper::ReadFunc | readFunc,
|  | DotOsgWrapper::WriteFunc | writeFunc,
|  | DotOsgWrapper::ReadWriteMode | readWriteMode = `DotOsgWrapper::READ_AND_WRITE`
| ) | `[inline]`

osgDB::RegisterDotOsgWrapperProxy::~RegisterDotOsgWrapperProxy | ( |  | ) | `[inline]`

## Member Data Documentation

osg::ref_ptr<DotOsgWrapper> osgDB::RegisterDotOsgWrapperProxy::_wrapper `[protected]`

The documentation for this class was generated from the following file:

- osgDB/Registry